Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# gtk/action.hh File Reference

A GtkAction C++ wrapper interface. More...

`#include <xfc/glib/object.hh>`
`#include <xfc/glib/property.hh>`
`#include <xfc/gtk/enums.hh>`
`#include <gtk/gtkaction.h>`
`#include <vector>`
`#include <xfc/gtk/inline/action.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Action
    A GtkAction C++ wrapper class. More...

## Detailed Description

A GtkAction C++ wrapper interface.

Provides Action, an object that represents an action that can be triggered by a menu or toolbar item.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3